SonaGetPersonListByClassID
Description¶
This API retrieves a list of all participants in the specified course.
Input Parameters¶
Below are the following input parameters for use with the SonaGetPersonListByClassID API function.
| Parameter | Description / Possible Values |
|---|---|
api_key |
Use API key generated for Sona admin user |
class_id |
The class_id of the course |
Output Parameters¶
Will return APIPerson class and display data in an array.
Error Codes¶
Below are the possible error messages encountered and their respective descriptions.
| Error Type | Error Code | Description |
|---|---|---|
| Authentication Failed | -1 through -7 | Standard authentication errors |
| Error Code | -8 | Invalid class_id. No record found. |
Sample Input¶
Request URL
https://myschool.sona-systems.com/services/SonaAPI.svc/SonaGetPersonListByClassID?api_key=YOUR_API_KEY&class_id=1234URL components
| Component | Value |
|---|---|
| Scheme | https |
| Host | myschool.sona-systems.com |
| Service path | /services/SonaAPI.svc |
| Function | SonaGetPersonListByClassID |
Query parameters
Sample Output¶
<SonaGetPersonListByClassIDResponse
xmlns="https://www.sona-systems.com/"
xmlns:a="http://schemas.datacontract.org/2004/07/emsdotnet.sonasystems"
xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<SonaGetPersonListByClassIDResult>
<a:Errors i:nil="true" />
<a:Result>
<a:APIPerson>
<a:admin_comments />
<a:alt_email>[email protected]</a:alt_email>
<a:anon_id_code>32290</a:anon_id_code>
<a:approved>1</a:approved>
<a:birthdate>0001-01-01T00:00:00</a:birthdate>
<a:classes_needed>0</a:classes_needed>
<a:creation_date>2019-09-05T15:51:37</a:creation_date>
<a:credits_earned>0</a:credits_earned>
<a:credits_needed>4.00</a:credits_needed>
<a:daily_reminder>1</a:daily_reminder>
<a:email_needed>0</a:email_needed>
<a:first_name>Carol</a:first_name>
<a:hipaa_ack_date>0001-01-01T00:00:00</a:hipaa_ack_date>
<a:hipaa_ack_date_nonp>0001-01-01T00:00:00</a:hipaa_ack_date_nonp>
<a:language_pref>EN</a:language_pref>
<a:last_login>0001-01-01T00:00:00</a:last_login>
<a:last_name>Spruce</a:last_name>
<a:limit_date>0001-01-01T00:00:00</a:limit_date>
<a:limit_type />
<a:limited>0</a:limited>
<a:login_allowed>1</a:login_allowed>
<a:login_days>0</a:login_days>
<a:login_sent_date>0001-01-01T00:00:00</a:login_sent_date>
<a:noshow_count>0</a:noshow_count>
<a:office />
<a:password_change_needed>0</a:password_change_needed>
<a:password_failed_count>0</a:password_failed_count>
<a:person_id>9804</a:person_id>
<a:person_type_a>0</a:person_type_a>
<a:person_type_e>0</a:person_type_e>
<a:person_type_i>0</a:person_type_i>
<a:person_type_p>0</a:person_type_p>
<a:person_type_pref>S</a:person_type_pref>
<a:person_type_s>1</a:person_type_s>
<a:phone />
<a:pretest>0</a:pretest>
<a:student_id_num />
<a:study_invitation>0</a:study_invitation>
<a:usage_limit>0</a:usage_limit>
<a:user_id>cspru</a:user_id>
<a:weekly_reminder>0</a:weekly_reminder>
</a:APIPerson>
<a:APIPerson>
<a:admin_comments />
<a:alt_email>[email protected]</a:alt_email>
<a:anon_id_code>32290</a:anon_id_code>
<a:approved>1</a:approved>
<a:birthdate>0001-01-01T00:00:00</a:birthdate>
<a:classes_needed>0</a:classes_needed>
<a:creation_date>2019-09-19T06:18:05</a:creation_date>
<a:credits_earned>0</a:credits_earned>
<a:credits_needed>4.00</a:credits_needed>
<a:daily_reminder>0</a:daily_reminder>
<a:email_needed>0</a:email_needed>
<a:first_name>Doc</a:first_name>
<a:hipaa_ack_date>0001-01-01T00:00:00</a:hipaa_ack_date>
<a:hipaa_ack_date_nonp>0001-01-01T00:00:00</a:hipaa_ack_date_nonp>
<a:language_pref>EN</a:language_pref>
<a:last_login>0001-01-01T00:00:00</a:last_login>
<a:last_name>Rivers</a:last_name>
<a:limit_date>0001-01-01T00:00:00</a:limit_date>
<a:limit_type />
<a:limited>0</a:limited>
<a:login_allowed>1</a:login_allowed>
<a:login_days>0</a:login_days>
<a:login_sent_date>0001-01-01T00:00:00</a:login_sent_date>
<a:noshow_count>0</a:noshow_count>
<a:office />
<a:password_change_needed>0</a:password_change_needed>
<a:password_failed_count>0</a:password_failed_count>
<a:person_id>9846</a:person_id>
<a:person_type_a>0</a:person_type_a>
<a:person_type_e>0</a:person_type_e>
<a:person_type_i>0</a:person_type_i>
<a:person_type_p>0</a:person_type_p>
<a:person_type_pref>S</a:person_type_pref>
<a:person_type_s>1</a:person_type_s>
<a:phone />
<a:pretest>0</a:pretest>
<a:student_id_num />
<a:study_invitation>0</a:study_invitation>
<a:usage_limit>0</a:usage_limit>
<a:user_id>[email protected]</a:user_id>
<a:weekly_reminder>0</a:weekly_reminder>
</a:APIPerson>
</a:Result>
</SonaGetPersonListByClassIDResult>
</SonaGetPersonListByClassIDResponse>